export const getPrecList=(state,action)=>{
  const res=Object.assign({},state);
  res.preData = action.preData
  return res;
};

export const setPrecShow=(state,action)=>{
  const res=Object.assign({},state);
  const show = res.preShow
  res.preShow = action.preShow?action.preShow:!show
  return res;
};

export const setMove=(state,action)=>{
  const res=Object.assign({},state);
  res.isMove = action.isMove
  return res;
};